Merge git://git.kernel.org/pub/scm/linux/kernel/git/brodo/pcmcia-2.6
[linux-2.6.git] / drivers / pcmcia / Kconfig
index a44733d..d0f5ad3 100644 (file)
@@ -49,26 +49,6 @@ config PCMCIA_LOAD_CIS
 
          If unsure, say Y.
 
-config PCMCIA_IOCTL
-       bool "PCMCIA control ioctl (obsolete)"
-       depends on PCMCIA && ARM && !SMP && !PREEMPT
-       default y
-       help
-         If you say Y here, the deprecated ioctl interface to the PCMCIA
-         subsystem will be built. It is needed by the deprecated pcmcia-cs
-         tools (cardmgr, cardctl) to function properly.
-
-         You should use the new pcmciautils package instead (see
-         <file:Documentation/Changes> for location and details).
-
-         This config option will most likely be removed from kernel 2.6.35,
-         the associated code from kernel 2.6.36.
-
-         As the PCMCIA ioctl is not locking safe, it depends on !SMP and
-         !PREEMPT.
-
-         If unsure, say N.
-
 config CARDBUS
        bool "32-bit CardBus support"
        depends on PCI
@@ -318,7 +298,7 @@ config ELECTRA_CF
          PA Semi Electra eval board.
 
 config PCCARD_NONSTATIC
-       tristate
+       bool
 
 config PCCARD_IODYN
        bool